﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_POBATCHXBILLENTRY' AND KSQL_INDNAME = 'IDX_PM_POBATXBILLE_XSEID') CREATE INDEX IDX_PM_POBATXBILLE_XSEID ON T_PM_POBATCHXBILLENTRY ( FXSBILLENTRYID );

 EXEC P_ALTERPK 'PK_T_PM_PABATCHXBILL', 'T_PM_PABATCHXBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILL' AND KSQL_INDNAME = 'IDX_PM_PABATCHXBILL_BILLNO') CREATE INDEX IDX_PM_PABATCHXBILL_BILLNO ON T_PM_PABATCHXBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILL' AND KSQL_INDNAME = 'IDX_PM_PABATCHXBILL_ORG') CREATE INDEX IDX_PM_PABATCHXBILL_ORG ON T_PM_PABATCHXBILL ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILL' AND KSQL_INDNAME = 'IDX_PM_PABATCHXBILL_DATE') CREATE INDEX IDX_PM_PABATCHXBILL_DATE ON T_PM_PABATCHXBILL ( FCHANGEDATE );


 EXEC P_ALTERPK 'PK_T_PM_PABATCHXBILL_L', 'T_PM_PABATCHXBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILL_L' AND KSQL_INDNAME = 'IDX_PM_PABATCHXBILL_L') CREATE INDEX IDX_PM_PABATCHXBILL_L ON T_PM_PABATCHXBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_PABATCHXBILLENTRY', 'T_PM_PABATCHXBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILLENTRY' AND KSQL_INDNAME = 'IDX_PM_PABATXBILLE_FID') CREATE INDEX IDX_PM_PABATXBILLE_FID ON T_PM_PABATCHXBILLENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILLENTRY' AND KSQL_INDNAME = 'IDX_PM_PABATXBILLE_MATID') CREATE INDEX IDX_PM_PABATXBILLE_MATID ON T_PM_PABATCHXBILLENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILLENTRY' AND KSQL_INDNAME = 'IDX_PM_PABATXBILLE_XSEID') CREATE INDEX IDX_PM_PABATXBILLE_XSEID ON T_PM_PABATCHXBILLENTRY ( FXSBILLENTRYID );


 EXEC P_ALTERPK 'PK_T_PM_PABATCHXBILLENTRY_R', 'T_PM_PABATCHXBILLENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PABATCHXBILLENTRY_R' AND KSQL_INDNAME = 'IDX_PM_PABATXBILLE_R_FID') CREATE INDEX IDX_PM_PABATXBILLE_R_FID ON T_PM_PABATCHXBILLENTRY_R ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
