--采购相关单据编码规则名称调整，编码改为编号
---采购申请单
DELETE FROM T_CR_CODERULE_L WHERE FID = '/PL+D=LP/Y4C';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('/PL+D=LSNC/5', '/PL+D=LP/Y4C', 'zh_CN', '采购申请单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('/TERQMDOAFII', '/PL+D=LP/Y4C', 'zh_TW', '采購申請單編號規則');
---采购订单
DELETE FROM T_CR_CODERULE_L WHERE FID = '/PL+WXUP+7A3';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('/PL+WXUSLN5X', '/PL+WXUP+7A3', 'zh_CN', '采购订单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('/TERT28+W1YC', '/PL+WXUP+7A3', 'zh_TW', '采購訂單編號規則');
---采购订单变更单
DELETE FROM T_CR_CODERULE_L WHERE FID = '/YVS0CRAUJCY';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('/YVS0CRAUI0F', '/YVS0CRAUJCY', 'zh_CN', '采购订单变更单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('/YVS0CRAUI0E', '/YVS0CRAUJCY', 'zh_TW', '采購訂單變更單編號規則');
---采购退货申请单
DELETE FROM T_CR_CODERULE_L WHERE FID = '050R2YPLM4ZG';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('050R2YQBMH5V', '050R2YPLM4ZG', 'zh_CN', '采购退货申请单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('050R2YQBMH5U', '050R2YPLM4ZG', 'zh_TW', '采購退貨申請單編號規則');
---VMI结算记录 (废弃)
DELETE FROM T_CR_CODERULE_L WHERE FID = '0A39P7ZU4Q9O';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('0A39P7ZU0ND6', '0A39P7ZU4Q9O', 'zh_CN', 'VMI结算记录编号规则 (废弃)');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('0A39P7ZU0ND5', '0A39P7ZU4Q9O', 'zh_TW', 'VMI結算記錄編號規則 (廢棄)');
---VMI结算记录
DELETE FROM T_CR_CODERULE_L WHERE FID = '0QDMF+N9JEA5';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('0QDMF+N9KDOT', '0QDMF+N9JEA5', 'zh_CN', 'VMI结算记录编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('0QDMF+N9KDOS', '0QDMF+N9JEA5', 'zh_TW', 'VMI結算記錄編號規則');
---物权转移单
DELETE FROM T_CR_CODERULE_L WHERE fid = '0NCO=OCOEYYF';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('0NCO=OCOF+=+', '0NCO=OCOEYYF', 'zh_CN', '物权转移单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('43LIPKK92N8E', '0NCO=OCOEYYF', 'zh_TW', '物權轉移單編號規則');
---采购预测拆分
DELETE FROM T_CR_CODERULE_L WHERE fid = '1F9H9OYJ3N60';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1F9H9OYJ3KH/', '1F9H9OYJ3N60', 'zh_CN', '采购预测拆分编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('43LKV8EPUZ6V', '1F9H9OYJ3N60', 'zh_TW', '采購預測拆分編號規則');
---采购验收单
DELETE FROM T_CR_CODERULE_L WHERE fid = '1Z3D8JAFGOTM';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('1Z3D8JAFGPGW', '1Z3D8JAFGOTM', 'zh_CN', '采购验收单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('43LL/4TUFGKU', '1Z3D8JAFGOTM', 'zh_TW', '采購驗收單編號規則');
---采购基价调整单
DELETE FROM T_CR_CODERULE_L WHERE fid = '28WT3CDVM0DD';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('28WT3CDZ8G95', '28WT3CDVM0DD', 'zh_CN', '采购基价调整单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('29IA0T3ZS/R4', '28WT3CDVM0DD', 'zh_TW', '采購基價調整單編號規則');
---收货通知单
DELETE FROM T_CR_CODERULE_L WHERE fid = '2I6K7MRIVOE/';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2I6K7MRIW17N', '2I6K7MRIVOE/', 'zh_CN', '收货通知单编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2IX5TRCHS/KZ', '2I6K7MRIVOE/', 'zh_TW', '收貨通知單編號規則');
---采购配额
DELETE FROM T_CR_CODERULE_L WHERE fid = '376314DAZWXJ';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('376314DELBFK', '376314DAZWXJ', 'zh_CN', '采购配额编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('37635S8PIWWN', '376314DAZWXJ', 'zh_TW', '采購配額編號規則');
---采购计划
DELETE FROM T_CR_CODERULE_L WHERE fid = '2OB00+TBNUZ6';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2OB00+TBNVMG', '2OB00+TBNUZ6', 'zh_CN', '采购计划编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2OB00+TBNVMF', '2OB00+TBNUZ6', 'zh_TW', '采購計劃編號規則');
---预测计划来源
DELETE FROM T_CR_CODERULE_L WHERE fid = '2Z3A4HW27ZVH';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2Z3A4HW27Z68', '2Z3A4HW27ZVH', 'zh_CN', '预测计划来源编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2Z44V39=+RD2', '2Z3A4HW27ZVH', 'zh_TW', '預測計劃來源編號規則');
---采购预测计划
DELETE FROM T_CR_CODERULE_L WHERE fid = '2Z3YDX8+K=E6';
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2Z3YDX8+KA2F', '2Z3YDX8+K=E6', 'zh_CN', '采购预测计划编号规则');
INSERT INTO T_CR_CODERULE_L (FPKID, FID, FLOCALEID, FNAME) VALUES ('2Z3YFA5HU1IM', '2Z3YDX8+K=E6', 'zh_TW', '采購預測計劃編號規則');

